# Interface IAppointmentArchiveRepository

Namespace
  adas_core.Application.Repositories.Interfaces

Assembly
  adas-core.Application.dll

    public interface IAppointmentArchiveRepository

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### DeleteBeforeDate(DateTime)

Asynchronously deletes records that have a date earlier than the specified cutoff date.

    Task DeleteBeforeDate(DateTime date)

#### Parameters

`date` DateTime

  The cutoff date; records dated before this value will be removed.

#### Returns

Task

### InsertBatch(IEnumerable<PatientAppointment>)

Inserts a batch of patient appointments asynchronously, typically as part of a bulk import or synchronization process.

    Task<long> InsertBatch(IEnumerable<PatientAppointment> appointment)

#### Parameters

`appointment` IEnumerable<PatientAppointment>

  The collection of patient appointments to be inserted.

#### Returns

Task<long>

  A task that represents the asynchronous insert operation, containing a long value that represents the result of the batch insertion.

### InsertOneAsync(PatientAppointment)

Asynchronously inserts a single patient appointment into the underlying data store.

    Task InsertOneAsync(PatientAppointment patientAppointment)

#### Parameters

`patientAppointment` PatientAppointment

  The patient appointment entity to be persisted.

#### Returns

Task